org.apache.flume.channel.file.encryption

## Class JCEFileKeyProvider

- java.lang.Object
- - org.apache.flume.channel.file.encryption.KeyProvider
  - - org.apache.flume.channel.file.encryption.JCEFileKeyProvider

-     public class JCEFileKeyProvider
      extends KeyProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCEFileKeyProvider.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCEFileKeyProvider(File keyStoreFile, File keyStorePasswordFile, Map<String,File> aliasPasswordFileMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `getKey(String alias)` Returns a non-null Key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCEFileKeyProvider

          public JCEFileKeyProvider(File keyStoreFile,
                            File keyStorePasswordFile,
                            Map<String,File> aliasPasswordFileMap)

  - ### Method Detail

    - #### getKey

          public Key getKey(String alias)

      Description copied from class: `KeyProvider`
      Returns a non-null Key
      Specified by:
        `getKey` in class `KeyProvider`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.